zenilib: zenilib/jni/external/freetype2/src/cache/ftccback.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ftccback.h File Reference
`#include <ft2build.h>`
`#include <FT_CACHE_H>`
`#include "ftcmru.h"`
`#include "ftcimage.h"`
`#include "ftcmanag.h"`
`#include "ftcglyph.h"`
`#include "ftcsbits.h"`

Go to the source code of this file.

## Functions

| ftc_cache_done (FTC_Cache cache)
| ftc_cache_init (FTC_Cache cache)
| ftc_gcache_done (FTC_Cache cache)
| ftc_gcache_init (FTC_Cache cache)
| ftc_gnode_compare (FTC_Node gnode, FT_Pointer gquery, FTC_Cache cache, FT_Bool *list_changed)
| ftc_inode_free (FTC_Node inode, FTC_Cache cache)
| ftc_inode_new (FTC_Node *pinode, FT_Pointer gquery, FTC_Cache cache)
| ftc_inode_weight (FTC_Node inode, FTC_Cache cache)
| ftc_node_destroy (FTC_Node node, FTC_Manager manager)
| ftc_snode_compare (FTC_Node snode, FT_Pointer gquery, FTC_Cache cache, FT_Bool *list_changed)
| ftc_snode_free (FTC_Node snode, FTC_Cache cache)
| ftc_snode_new (FTC_Node *psnode, FT_Pointer gquery, FTC_Cache cache)
| ftc_snode_weight (FTC_Node snode, FTC_Cache cache)

## Function Documentation

ftc_cache_done | ( | FTC_Cache | cache | ) |

Definition at line 394 of file ftccache.c.

References FT_FREE, FTC_Cache_Clear(), and NULL.

Referenced by FTC_Cache_Done().

ftc_cache_init | ( | FTC_Cache | cache | ) |

Definition at line 340 of file ftccache.c.

References error, FT_NEW_ARRAY, FTC_HASH_INITIAL_SIZE, and FTC_HASH_MAX_LOAD.

Referenced by FTC_Cache_Init().

ftc_gcache_done | ( | FTC_Cache | cache | ) |

Definition at line 153 of file ftcglyph.c.

References FTC_Cache_Done(), and FTC_MruList_Done().

ftc_gcache_init | ( | FTC_Cache | cache | ) |

Definition at line 119 of file ftcglyph.c.

References error, FTC_GCacheRec_::families, FTC_GCacheClassRec_::family_class, FTC_CACHE, FTC_Cache_Init(), and FTC_MruList_Init().

ftc_gnode_compare | ( | FTC_Node | gnode,
|  | FT_Pointer | gquery,
|  | FTC_Cache | cache,
|  | FT_Bool * | list_changed
| ) |  |

Definition at line 66 of file ftcglyph.c.

References FALSE, FTC_GNodeRec_::family, FTC_GQueryRec_::family, FT_BOOL, FT_UNUSED, FTC_GNodeRec_::gindex, and FTC_GQueryRec_::gindex.

Referenced by FTC_GNode_Compare().

ftc_inode_free | ( | FTC_Node | inode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 30 of file ftcimage.c.

References FT_Done_Glyph(), FT_FREE, FTC_GNODE, FTC_GNode_Done(), and NULL.

Referenced by FTC_INode_Free().

ftc_inode_new | ( | FTC_Node * | pinode,
|  | FT_Pointer | gquery,
|  | FTC_Cache | cache
| ) |  |

Definition at line 94 of file ftcimage.c.

References FTC_INode_New().

ftc_inode_weight | ( | FTC_Node | inode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 107 of file ftcimage.c.

References FT_BitmapGlyphRec_::bitmap, FT_GlyphRec_::format, FT_GLYPH_FORMAT_OUTLINE, ft_labs, FT_UNUSED, FT_Outline_::n_contours, FT_Outline_::n_points, FT_OutlineGlyphRec_::outline, FT_Bitmap_::pitch, FT_Bitmap_::rows, and sizeof().

ftc_node_destroy | ( | FTC_Node | node,
|  | FTC_Manager | manager
| ) |  |

Definition at line 278 of file ftccache.c.

References FTC_NodeRec_::cache_index, FTC_ManagerRec_::caches, FTC_CacheRec_::clazz, FTC_ManagerRec_::cur_weight, FT_TRACE0, ftc_node_hash_unlink(), ftc_node_mru_unlink(), FTC_CacheClassRec_::node_free, FTC_CacheClassRec_::node_weight, NULL, FTC_ManagerRec_::num_caches, and FTC_ManagerRec_::num_nodes.

Referenced by FTC_Manager_Compress(), and FTC_Manager_FlushN().

ftc_snode_compare | ( | FTC_Node | snode,
|  | FT_Pointer | gquery,
|  | FTC_Cache | cache,
|  | FT_Bool * | list_changed
| ) |  |

Definition at line 325 of file ftcsbits.c.

References FTC_SBitRec_::buffer, FTC_SNodeRec_::count, error, FALSE, FTC_GNodeRec_::family, FTC_GQueryRec_::family, FT_Bool, FT_BOOL, FTC_CACHE_TRYLOOP, FTC_CACHE_TRYLOOP_END, FTC_GNODE, ftc_snode_load(), FTC_GNodeRec_::gindex, FTC_GQueryRec_::gindex, NULL, FTC_SNodeRec_::sbits, and FTC_SBitRec_::width.

Referenced by FTC_SNode_Compare().

ftc_snode_free | ( | FTC_Node | snode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 65 of file ftcsbits.c.

References FTC_SBitRec_::buffer, FTC_SNodeRec_::count, FT_FREE, FTC_GNODE, FTC_GNode_Done(), and FTC_SNodeRec_::sbits.

Referenced by FTC_SNode_Free().

ftc_snode_new | ( | FTC_Node * | psnode,
|  | FT_Pointer | gquery,
|  | FTC_Cache | cache
| ) |  |

Definition at line 266 of file ftcsbits.c.

References FTC_SNode_New().

ftc_snode_weight | ( | FTC_Node | snode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 279 of file ftcsbits.c.

References FTC_SBitRec_::buffer, FTC_SNodeRec_::count, FT_ASSERT, FT_UNUSED, FTC_SBIT_ITEMS_PER_NODE, FTC_SBitRec_::height, FTC_SBitRec_::pitch, and FTC_SNodeRec_::sbits.